# ポート情報の取得 ## 前提条件[​](#前提条件 "への直接リンク前提条件") 認証-ユーザー認証情報、クライアントID、クライアントシークレットを送信してOauth2 認証を行います。OAuth APIを呼び出して認証情報を検証および認証する方法については、「[API認証」を](https://docs.equinix.com/ja/equinix-api/api-authentication.md)参照してください。 ## 全ポート取得[​](#全ポート取得 "への直接リンク全ポート取得") エンドポイントにリクエストを[`/fabric/v4/ports`](https://docs.equinix.com/ja/api-catalog/fabricv4/ports/getports.md)送信することで、ユーザー認証情報に使用できるすべてのポートを取得できます。`GET` | | | | ----------------------- | ------------------ | | 方法 | `GET` | | URLまたはエンドポイント | `/fabric/v4/ports` | | ヘッダー | `Authorization` | | パスパラメータ | 該当なし | | クエリーパラメータ | `name` | | ボディパラメータ | 該当なし | cURLリクエストのサンプル: ``` curl -X GET 'https://api.equinix.com/fabric/v4/ports' -H 'Authorization: Bearer ' ``` 回答例 ``` { "pagination": { "offset": 0, "limit": 1000, "total": 2 }, "data": [ { "href": "https://api.equinix.com/fabric/v4/ports/c4d93b39-02db-2dbc-ace0-30fa5c00ad04", "type": "XF_PORT", "uuid": "c4d93b39-02db-2dbc-ace0-30fa5c00ad04", "name": "gen-l2-qa-01-auto-TY4-L-Qinq-STD-SEC-10G-JUN-598", "physicalPortsSpeed": 10000, "physicalPortsType": "10GBASE_LR", "connectivitySourceType": "COLO", "project": { "projectId": "333cd592-1709-4238-bb0d-2c2b41896aa1" }, "package": { "code": "STANDARD" }, "state": "REPROVISIONING", "cvpId": "1616554", "operation": { "connectionCount": 0, "evplVCCount": 0, "accessVCCount": 0 }, "account": { "accountNumber": 200559, "accountName": "gen-l2-qa-01-auto-200559", "orgId": 90946, "organizationName": "gen-l2-qa-01-auto-200551.", "ucmId": "500DFED2-EBDB-480d-896C-C7870E52D0D8", "globalCustId": "0017i000011X242AAC" }, "changeLog": { "createdBy": "vvyugovskiy-IMPORT_JOB", "createdDateTime": "2021-06-16T01:46:52Z", "updatedBy": "Order-to-activation", "updatedDateTime": "2025-04-07T23:03:08.900Z" }, "bandwidth": 10000, "availableBandwidth": 10000, "usedBandwidth": 0, "location": { "metroHref": "https://api.equinix.com/fabric/v4/metros/TY", "region": "APAC", "metroName": "Tokyo", "metroCode": "TY", "ibx": "TY4" }, "device": { "name": "sit-tb1-ty-a2.lab", "redundancy": { "priority": "SECONDARY" } }, "demarcationPointIbx": "TY4", "tetherIbx": "TY4", "redundancy": { "priority": "SECONDARY" }, "encapsulation": { "type": "QINQ", "tagProtocolId": 37120 }, "lagEnabled": false, "settings": { "buyout": false }, "physicalPorts": [ { "type": "XF_PHYSICAL_PORT", "id": 1362185, "state": "TO_BE_ADDED", "uuid": "01892489-ce9b-7f25-b1f5-d32a5ac6a423", "tether": { "crossConnectId": "ECX.05.00001836", "cabinetNumber": "Demarc", "systemName": "TY4:01:002181", "patchPanel": "PP:1240:1089399", "patchPanelPortA": "7", "patchPanelPortB": "8", "ibx": "TY4" }, "demarcationPoint": { "patchPanel": "PP:Demarc:00002181", "patchPanelName": "PP:Demarc:00002181", "patchPanelPortA": "5", "patchPanelPortB": "6", "ibx": "TY4" }, "operation": { "operationalStatus": "UP" } } ] }, { "href": "https://api.equinix.com/fabric/v4/ports/6f0f3015-2d51-4b6e-a98c-1defb4fe88f1", "type": "XF_PORT", "uuid": "6f0f3015-2d51-4b6e-a98c-1defb4fe88f1", "name": "200558-SY4-CX-PRI-02", "physicalPortsSpeed": 10000, "physicalPortsType": "10GBASE_LR", "project": { "projectId": "333cd592-1709-4238-bb0d-2c2b41896aa1" }, "package": { "code": "STANDARD" }, "state": "ACTIVE", "cvpId": "2000348", "operation": { "connectionCount": 1, "evplVCCount": 1, "accessVCCount": 0 }, "account": { "accountNumber": 200558, "accountName": "Gen-L2-Qa-01-Auto-200558", "orgId": 90946, "organizationName": "gen-l2-qa-01-auto-200551.", "ucmId": "2D26D682-B62E-495d-AFDF-698EC3B353F8", "globalCustId": "0017i000011X242AAC" }, "changeLog": { "createdDateTime": "2025-05-06T17:29:30.800Z", "updatedBy": "API", "updatedDateTime": "2025-05-06T17:29:40.300Z" }, "bandwidth": 10000, "availableBandwidth": 9500, "usedBandwidth": 500, "location": { "metroHref": "https://api.equinix.com/fabric/v4/metros/SY", "region": "APAC", "metroName": "Sydney", "metroCode": "SY", "ibx": "SY4" }, "device": { "name": "sit-tb1-sy-e1.lab", "redundancy": { "group": "1", "priority": "PRIMARY" } }, "demarcationPointIbx": "SY4", "tetherIbx": "SY4", "redundancy": { "priority": "PRIMARY" }, "encapsulation": { "type": "DOT1Q", "tagProtocolId": 33024 }, "lagEnabled": true, "settings": { "buyout": false }, "physicalPorts": [ { "type": "XF_PHYSICAL_PORT", "id": 1362737, "state": "ACTIVE", "uuid": "01892489-ce07-7962-b676-b1a4d8091515", "tether": { "crossConnectId": "22035616", "cabinetNumber": "Demarc", "systemName": "SY4:01:002204", "patchPanel": "PP:1240:1089399", "patchPanelPortA": "12", "patchPanelPortB": "14", "ibx": "SY4" }, "demarcationPoint": { "patchPanel": "PP:Demarc:00002204", "patchPanelName": "PP:Demarc:00002204", "patchPanelPortA": "17", "patchPanelPortB": "18", "ibx": "SY4" }, "operation": { "operationalStatus": "UP" } } ] } ] } ``` 応答フィールドの詳細については、[APIリファレンスを](https://docs.equinix.com/ja/api-catalog/fabricv4/ports/getports.md)参照してください。 ## ポートの詳細を取得します[​](#ポートの詳細を取得します "への直接リンクポートの詳細を取得します") ポートの詳細を取得するには、リクエストのパスにあるポートのIDを指定して、エンドポイントにリクエストを[`/fabric/v4/ports/{portUuid}`](https://docs.equinix.com/ja/api-catalog/fabricv4/ports/getportbyuuid.md)送信します。`GET` | | | | ----------------------- | ----------------------------- | | 方法 | `GET` | | URLまたはエンドポイント | `/fabric/v4/ports/{portUuid}` | | ヘッダー | `Authorization` | | パスパラメータ | `uuid` | | クエリーパラメータ | 該当なし | | ボディパラメータ | 該当なし | サンプルcURLリクエスト: ``` curl -X GET 'https://api.equinix.com/fabric/v4/ports/{port_id}' -H 'Authorization: Bearer ' ``` 回答例 ``` { "href": "https://api.equinix.com/fabric/v4/ports/44c5712b-d704-4ca5-9b42-ee6be32ee06a", "type": "XF_PORT", "uuid": "44c5712b-d704-4ca5-9b42-ee6be32ee06a", "name": "270843-DA1-CX-PRI-33", "physicalPortsSpeed": 1000, "physicalPortsType": "1000BASE_LX", "project": { "projectId": "66a2d2f7-b79b-49bc-8642-d2b3c1c138b4" }, "package": { "code": "UNLIMITED" }, "state": "ACTIVE", "cvpId": "2000833", "connectivitySourceType": "COLO", "operation": { "operationalStatus": "UP", "connectionCount": 10, "evplVCCount": 10, "accessVCCount": 0 }, "account": { "accountNumber": 270843, "accountName": "ctr-sit-account1", "orgId": 93055, "organizationName": "ctr-sit-account1-270843", "ucmId": "64726950-A62C-4749-98E2-5AA4CA44284F", "globalCustId": "0016u000003JZ3XAAW" }, "change": { "uuid": "ed41e367-e09d-4c2f-b6ab-30506de4437f", "type": "PORT_UPDATE", "status": "COMPLETED", "data": { "op": "REPLACE", "path": "/encapsulation", "value": { "type": "QINQ", "tagProtocolId": 34984 } }, "createdDateTime": "2025-05-29T20:38:45.630759Z", "updatedDateTime": "2025-05-29T20:38:49.330822Z" }, "changeLog": { "createdBy": "qa-automation", "createdDateTime": "2025-05-21T18:12:18.300Z", "updatedBy": "qa-automation", "updatedDateTime": "2025-05-29T20:38:48.900Z" }, "bandwidth": 1000, "availableBandwidth": 500, "usedBandwidth": 500, "location": { "metroHref": "https://api.equinix.com/fabric/v4/metros/DA", "region": "AMER", "metroName": "Dallas", "metroCode": "DA", "ibx": "DA1" }, "device": { "name": "qa3-da-a1.lab", "redundancy": { "priority": "PRIMARY" } }, "demarcationPointIbx": "DA1", "tetherIbx": "DA1", "redundancy": { "priority": "PRIMARY" }, "encapsulation": { "type": "QINQ", "tagProtocolId": 34984 }, "lagEnabled": false, "settings": { "buyout": true, "viewPortPermission": true, "placeVcOrderPermission": true }, "physicalPorts": [ { "type": "XF_PHYSICAL_PORT", "id": 1426359, "state": "ADDED", "bandwidth": 0, "uuid": "0189244a-f3ac-7258-a8b4-3167af899305", "tether": { "crossConnectId": "513213223", "ibx": "DA1" }, "demarcationPoint": { "ibx": "DA1" }, "operation": { "operationalStatus": "UP" } } ] } ``` 応答フィールドの詳細については、[APIリファレンスを](https://docs.equinix.com/ja/api-catalog/fabricv4/ports/getportbyuuid.md)参照してください。 ## 中古Vlansを入手[​](#中古vlansを入手 "への直接リンク中古Vlansを入手") ポートで使用されているVLANのリストを取得するには、エンドポイントにリクエストを[`/fabric/v4/ports/{portUuid}/linkProtocols`](https://docs.equinix.com/ja/api-catalog/fabricv4/ports/getvlans.md)送信します。`GET`リクエストのパスのIDでポートを指定します。 | | | | ----------------------- | ------------------------------------------- | | 方法 | `GET` | | URLまたはエンドポイント | `/fabric/v4/ports/{portUuid}/linkProtocols` | | ヘッダー | `Authorization` | | パスパラメータ | `uuid` | | クエリーパラメータ | `offset`、`limit` | | ボディパラメータ | 該当なし | cURLリクエストのサンプル: ``` curl -X GET 'https://api.equinix.com/fabric/v4/ports/{port_id}/linkProtocols' -H 'Authorization: Bearer ' ``` 回答例 ``` { "pagination": { "offset": 0, "limit": 20, "total": 5 }, "data": [ { "type": "QINQ", "uuid": "52d61263-fb0a-459d-a086-bc7fd6bd7384", "state": "RESERVED", "vlanSTag": 1000, "vlanCTag": 500, "asset": { "href": "https://api.equinix.com/fabric/v4/connections/cd67f685-41b0-1b07-6de0-320a5c00abee", "uuid": "cd67f685-41b0-1b07-6de0-320a5c00abee" }, "changeLog": { "createdDateTime": "2020-05-21T10:30:00Z" } }, { "type": "QINQ", "uuid": "8c589394-b0eb-4057-97dc-3bdb4f8ff6db", "state": "RESERVED", "vlanSTag": 1000, "vlanCTag": 500, "serviceToken": { "href": "https://api.equinix.com/fabric/v4/serviceTokens/fc4fb78a-6b89-462d-a233-e75ef61a603f", "uuid": "fc4fb78a-6b89-462d-a233-e75ef61a603f" }, "changeLog": { "createdDateTime": "2020-05-21T10:30:00Z" } }, { "type": "QINQ", "uuid": "7f1da56d-e1ff-4b25-b542-883c7004e971", "state": "RESERVED", "vlanSTag": 1000, "vlanCTag": 500, "serviceToken": { "href": "https://api.equinix.com/fabric/v4/serviceTokens/90f1af0e-134b-40d6-a007-e62cd6866373", "uuid": "90f1af0e-134b-40d6-a007-e62cd6866373", "bandwidth": 1000 }, "changeLog": { "createdDateTime": "2020-05-21T10:30:00Z" } }, { "type": "QINQ", "uuid": "7c968801-e03b-4530-8424-aa5ecc4339e2", "state": "RESERVED", "vlanSTag": 1000, "vlanCTag": 500, "asset": { "href": "https://api.equinix.com/fabric/v4/connections/2ac4e14f-6120-4705-886e-d37f1d0c6a65", "uuid": "2ac4e14f-6120-4705-886e-d37f1d0c6a65" }, "changeLog": { "createdDateTime": "2020-05-21T10:30:00Z" } }, { "type": "QINQ", "uuid": "db812bba-94b8-43e6-8d9c-850f04350c3d", "state": "RESERVED", "vlanSTag": 1001, "vlanCTag": 1001, "asset": { "href": "https://api.equinix.com/fabric/v4/connections/3268d105-e57b-4b2b-8a0a-2e3e42312d95", "uuid": "3268d105-e57b-4b2b-8a0a-2e3e42312d95" }, "changeLog": { "createdDateTime": "2020-05-21T10:30:00Z", "updatedDateTime": "2020-05-21T10:30:00Z" } } ] } ``` 応答フィールドの詳細については、[APIリファレンスを](https://docs.equinix.com/ja/api-catalog/fabricv4/ports/getvlans.md)参照してください。 ## ポートを検索します[​](#ポートを検索します "への直接リンクポートを検索します") ポート上の情報を検索するには、エンドポイントにリクエストを[`/fabric/v4/ports/search`](https://docs.equinix.com/ja/api-catalog/fabricv4/ports/searchports.md)送信します。`POST`リクエストの本文で使用可能なパラメータを使用して、検索条件を指定します。 | | | | ----------------------- | ------------------------------- | | 方法 | `POST` | | URLまたはエンドポイント | `/fabric/v4/ports/search` | | ヘッダー | `Authorization`、`Content-Type` | | パスパラメータ | 該当なし | | クエリーパラメータ | 該当なし | | ボディパラメータ | `filter`、`pagination`、`sort` | サンプルcURLリクエスト: ``` curl -X POST 'https://api.equinix.com/fabric/v4/ports/search' -H 'content-type: application/json' -H 'authorization: Bearer ' -d '{ "filter": { "or": [ { "and": [ { "property": "/state", "operator": "=", "values": [ "ACTIVE", "REPROVISIONING" ] }, { "property": "/settings/productCode", "operator": "=", "values": [ "CX" ] }, { "property": "/project/projectId", "operator": "=", "values": [ "66a2d2f7-b79b-49bc-8642-d2b3c1c138b4" ] } ] } ] }, "pagination": { "limit": 1000, "offset": 0 }, "sort": [ { "property": "/device/name", "direction": "DESC" } ] }' ``` 注目すべきボディパラメーター | **パラメータ** | **説明** | | ---------------------------- | -------------------------------------------------------------------------------------------------------------------- | | フィルター`object`が必要です | ポートを検索するためのフィルタリング条件を含むオブジェクト。 | | または`array[object]`必須 | or "演算子で結合された基準の配列。 | | および`array[object]`必須 | and "演算子で結合された基準の配列。 | | プロパティが`string`必要です | フィルタリング条件に基づいてポートを検索します。**適用可能な値:** */project/projectId/state*/settings/ProductCode\* | | オペレータ`string`が必要です | パラメータ演算子。**適用可能な値:** \*= | | 値が`string`必要です | パラメータ値。\*\*例:\*\*3a58dd05-f46d-4b1d-a154-2e85c396ea62 | | | | | **/project/projectID** | **例:**"プロパティ":"/project/projectId"、"operator":"="、"値":\["xx-xx-xx"] | | オペレータ`string`が必要です | 検索フィールド演算子。**適用可能な値:** \*= | | 値が`array[string]`必要です | 接続名。**例:**\["xx-xx-xx"] | | | | | **/都道府県** | **例:**"プロパティ":"/state"、"operator":"="、"値":\["アクティブ] | | オペレータ`string`が必要です | 検索フィールド演算子。**適用可能な値:** \*= | | 値が`array[string]`必要です | ポートの状態。**例:**[「アクティブ」] | | | | | **/settings/製品コード** | **例:**"プロパティ":"/settings/ProductCode"、"operator":"="、"値":[CX] | | オペレータ`string`が必要です | 検索フィールド演算子。**適用可能な値:** \*= | | 値が`array[string]`必要です | ポートの状態で検索します。**例:**[CX] | 回答例 ``` { "pagination": { "offset": 0, "limit": 1000, "total": 2 }, "data": [ { "href": "https://api.equinix.com/fabric/v4/ports/c4d93b39-02db-2dbc-ace0-30fa5c00ad04", "type": "XF_PORT", "uuid": "c4d93b39-02db-2dbc-ace0-30fa5c00ad04", "name": "gen-l2-qa-01-auto-TY4-L-Qinq-STD-SEC-10G-JUN-598", "physicalPortsSpeed": 10000, "physicalPortsType": "10GBASE_LR", "connectivitySourceType": "COLO", "project": { "projectId": "333cd592-1709-4238-bb0d-2c2b41896aa1" }, "package": { "code": "STANDARD" }, "state": "REPROVISIONING", "cvpId": "1616554", "operation": { "connectionCount": 0, "evplVCCount": 0, "accessVCCount": 0 }, "account": { "accountNumber": 200559, "accountName": "gen-l2-qa-01-auto-200559", "orgId": 90946, "organizationName": "gen-l2-qa-01-auto-200551.", "ucmId": "500DFED2-EBDB-480d-896C-C7870E52D0D8", "globalCustId": "0017i000011X242AAC" }, "changeLog": { "createdBy": "vvyugovskiy-IMPORT_JOB", "createdDateTime": "2021-06-16T01:46:52Z", "updatedBy": "Order-to-activation", "updatedDateTime": "2025-04-07T23:03:08.900Z" }, "bandwidth": 10000, "availableBandwidth": 10000, "usedBandwidth": 0, "location": { "metroHref": "https://api.equinix.com/fabric/v4/metros/TY", "region": "APAC", "metroName": "Tokyo", "metroCode": "TY", "ibx": "TY4" }, "device": { "name": "sit-tb1-ty-a2.lab", "redundancy": { "priority": "SECONDARY" } }, "demarcationPointIbx": "TY4", "tetherIbx": "TY4", "redundancy": { "priority": "SECONDARY" }, "encapsulation": { "type": "QINQ", "tagProtocolId": 37120 }, "lagEnabled": false, "settings": { "buyout": false }, "physicalPorts": [ { "type": "XF_PHYSICAL_PORT", "id": 1362185, "state": "TO_BE_ADDED", "uuid": "01892489-ce9b-7f25-b1f5-d32a5ac6a423", "tether": { "crossConnectId": "ECX.05.00001836", "cabinetNumber": "Demarc", "systemName": "TY4:01:002181", "patchPanel": "PP:1240:1089399", "patchPanelPortA": "7", "patchPanelPortB": "8", "ibx": "TY4" }, "demarcationPoint": { "patchPanel": "PP:Demarc:00002181", "patchPanelName": "PP:Demarc:00002181", "patchPanelPortA": "5", "patchPanelPortB": "6", "ibx": "TY4" }, "operation": { "operationalStatus": "UP" } } ] }, { "href": "https://api.equinix.com/fabric/v4/ports/6f0f3015-2d51-4b6e-a98c-1defb4fe88f1", "type": "XF_PORT", "uuid": "6f0f3015-2d51-4b6e-a98c-1defb4fe88f1", "name": "200558-SY4-CX-PRI-02", "physicalPortsSpeed": 10000, "physicalPortsType": "10GBASE_LR", "project": { "projectId": "333cd592-1709-4238-bb0d-2c2b41896aa1" }, "package": { "code": "STANDARD" }, "state": "ACTIVE", "cvpId": "2000348", "operation": { "connectionCount": 1, "evplVCCount": 1, "accessVCCount": 0 }, "account": { "accountNumber": 200558, "accountName": "Gen-L2-Qa-01-Auto-200558", "orgId": 90946, "organizationName": "gen-l2-qa-01-auto-200551.", "ucmId": "2D26D682-B62E-495d-AFDF-698EC3B353F8", "globalCustId": "0017i000011X242AAC" }, "changeLog": { "createdDateTime": "2025-05-06T17:29:30.800Z", "updatedBy": "API", "updatedDateTime": "2025-05-06T17:29:40.300Z" }, "bandwidth": 10000, "availableBandwidth": 9500, "usedBandwidth": 500, "location": { "metroHref": "https://api.equinix.com/fabric/v4/metros/SY", "region": "APAC", "metroName": "Sydney", "metroCode": "SY", "ibx": "SY4" }, "device": { "name": "sit-tb1-sy-e1.lab", "redundancy": { "group": "1", "priority": "PRIMARY" } }, "demarcationPointIbx": "SY4", "tetherIbx": "SY4", "redundancy": { "priority": "PRIMARY" }, "encapsulation": { "type": "DOT1Q", "tagProtocolId": 33024 }, "lagEnabled": true, "settings": { "buyout": false }, "physicalPorts": [ { "type": "XF_PHYSICAL_PORT", "id": 1362737, "state": "ACTIVE", "uuid": "01892489-ce07-7962-b676-b1a4d8091515", "tether": { "crossConnectId": "22035616", "cabinetNumber": "Demarc", "systemName": "SY4:01:002204", "patchPanel": "PP:1240:1089399", "patchPanelPortA": "12", "patchPanelPortB": "14", "ibx": "SY4" }, "demarcationPoint": { "patchPanel": "PP:Demarc:00002204", "patchPanelName": "PP:Demarc:00002204", "patchPanelPortA": "17", "patchPanelPortB": "18", "ibx": "SY4" }, "operation": { "operationalStatus": "UP" } } ] } ] } ``` 応答フィールドの詳細については、[APIリファレンスを](https://docs.equinix.com/ja/api-catalog/fabricv4/ports/searchports.md)参照してください。